org.jboss.netty.channel.socket.nio

## Interface NioDatagramChannelConfig

All Superinterfaces:
  ChannelConfig, DatagramChannelConfig, NioChannelConfig

    public interface NioDatagramChannelConfig
    extends DatagramChannelConfig, NioChannelConfig

A `DatagramChannelConfig` for a NIO TCP/IP `DatagramChannel`.

### Available options

In addition to the options provided by `ChannelConfig` and `DatagramChannelConfig`, `NioDatagramChannelConfig` allows the following options in the option map:

Name | Associated setter method
--- | ---
`"writeBufferHighWaterMark"` | `NioChannelConfig.setWriteBufferHighWaterMark(int)`
`"writeBufferLowWaterMark"` | `NioChannelConfig.setWriteBufferLowWaterMark(int)`
`"writeSpinCount"` | `NioChannelConfig.setWriteSpinCount(int)`

### Method Summary

### Methods inherited from interface org.jboss.netty.channel.socket.DatagramChannelConfig

`getInterface, getNetworkInterface, getReceiveBufferSize, getReceiveBufferSizePredictor, getReceiveBufferSizePredictorFactory, getSendBufferSize, getTimeToLive, getTrafficClass, isBroadcast, isLoopbackModeDisabled, isReuseAddress, setBroadcast, setInterface, setLoopbackModeDisabled, setNetworkInterface, setReceiveBufferSize, setReceiveBufferSizePredictor, setReceiveBufferSizePredictorFactory, setReuseAddress, setSendBufferSize, setTimeToLive, setTrafficClass`

### Methods inherited from interface org.jboss.netty.channel.socket.nio.NioChannelConfig

`getWriteBufferHighWaterMark, getWriteBufferLowWaterMark, getWriteSpinCount, setWriteBufferHighWaterMark, setWriteBufferLowWaterMark, setWriteSpinCount`

### Methods inherited from interface org.jboss.netty.channel.ChannelConfig

`getBufferFactory, getConnectTimeoutMillis, getPipelineFactory, setBufferFactory, setConnectTimeoutMillis, setOption, setOptions, setPipelineFactory`